Subject: Re: Single socket with TX_RING and RX_RING

From: Daniel Borkmann <[email-masked]>
Date: Wed, 15 May 2013 17:04:23 +0200

On 05/15/2013 04:58 PM, Ricardo Tubío wrote:
> Daniel Borkmann <dborkman <at> redhat.com> writes:
[...]
> I have already tried that and, if I use the same socket_fd twice with
> setsockopt(), I get the EBUSY errno from Kernel. Tomorrow, I will try the
> first solution with both sockets (it seems the easiest way); afterwards, I
> will try to use the TX_RING socket for TX and for RX at a time.
>
> I will come back with the results.

Well, no need. I already told you that it cannot work due to the status bits.